﻿Imports System.ComponentModel

Public Class ConnectionModel
    Implements INotifyPropertyChanged

    Private _target As NodeModel
    Public Property Target() As NodeModel
        Get
            Return _target
        End Get
        Set(value As NodeModel)
            If value IsNot _target Then
                _target = value
                NotifyPropertyUpdated("Target")
            End If
        End Set
    End Property

    Public Event PropertyChanged As PropertyChangedEventHandler Implements System.ComponentModel.INotifyPropertyChanged.PropertyChanged

    Protected Overridable Sub NotifyPropertyUpdated(propertyName As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub


End Class